Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge vim-core liblockfile and libtool fail, strange prefix
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
thrion
n00b
n00b


Joined: 25 Aug 2003
Posts: 10
Location: Estonia

PostPosted: Sun Sep 14, 2003 10:41 am    Post subject: emerge vim-core liblockfile and libtool fail, strange prefix Reply with quote

I got this error message when emerging vim-core:
configure: error: features: invalid package name

!!! ERROR: app-editors/vim-core-6.2-r1 failed.
!!! Function econf, Line 324, Exitcode 1
!!! econf failed

and this one for liblockfile:
configure: error: mailgroup: invalid package name

!!! ERROR: net-libs/liblockfile-1.03-r1 failed.
!!! Function econf, Line 324, Exitcode 1
!!! econf failed

configure complains about --with-mailgroup=mail, mailgroup should be a valid --with option.
Does someone have any clue how to fix it? :/

Edit:
an emerge -u world installed automake in /--prefix
something seems to be pretty borked :(


Last edited by thrion on Mon Sep 15, 2003 5:53 pm; edited 1 time in total
Back to top
View user's profile Send private message
pjp
Administrator
Administrator


Joined: 16 Apr 2002
Posts: 17400

PostPosted: Sun Sep 14, 2003 8:52 pm    Post subject: Reply with quote

I'm doubtful I'll be able to help much, but posting 20-30 lines prior to the !!!ERROR lines is usually helpful. Thats usually where the clues are.
_________________
Slowly I turned. Step by step.
Back to top
View user's profile Send private message
thrion
n00b
n00b


Joined: 25 Aug 2003
Posts: 10
Location: Estonia

PostPosted: Mon Sep 15, 2003 1:25 pm    Post subject: Reply with quote

The error message for vim-core is this.

Calculating dependencies ...done!
>>> emerge (1 of 2) app-editors/vim-core-6.2-r1 to /
>>> md5 src_uri ;-) vim-6.2.tar.bz2
>>> md5 src_uri ;-) vim-6.2-lang.tar.gz
>>> md5 src_uri ;-) vim-6.2.011-gentoo-patches.tar.bz2
>>> md5 src_uri ;-) vim-6.2.011-patches.tar.bz2
>>> Unpacking source...
>>> Unpacking vim-6.2.tar.bz2 to /var/tmp/portage/vim-core-6.2-r1/work
>>> Unpacking vim-6.2-lang.tar.gz to /var/tmp/portage/vim-core-6.2-r1/work
>>> Unpacking vim-6.2.011-gentoo-patches.tar.bz2 to /var/tmp/portage/vim-core-6.2-r1/work
>>> Unpacking vim-6.2.011-patches.tar.bz2 to /var/tmp/portage/vim-core-6.2-r1/work
* Filtering vim patches...
6.2.001: runtime/doc/insert.txt runtime/doc/tags src/version.c
6.2.002: src/option.c src/version.c
6.2.003: src/gui_gtk_x11.c src/version.c
6.2.004: src/normal.c src/version.c
6.2.005: src/gui_gtk.c src/version.c
6.2.006: src/main.c src/netbeans.c src/proto/netbeans.pro src/version.c
6.2.007: src/if_cscope.c src/version.c
6.2.008: src/mbyte.c src/version.c
6.2.009: (nsis/gvim.nsi) src/version.c
6.2.010: src/charset.c src/version.c
6.2.011: src/os_unix.c src/version.c
* Applying filtered vim patches...... [ ok ]
* Applying various patches (bugfixes/updates)...
* 001_all_vim-4.2-speed_t.patch.gz... [ ok ]
* 002_all_vim-5.1-vimnotvi.patch.gz... [ ok ]
* 003_all_vim-5.6a-paths.patch.gz... [ ok ]
* 004_all_vim-6.0-fixkeys.patch.gz... [ ok ]
* 006_all_vim-6.0r-crv.patch.gz... [ ok ]
* 007_all_vim-6.0-gcc31.patch.gz... [ ok ]
* Done with patching
>>> Source unpacked.
make: Entering directory `/var/tmp/portage/vim-core-6.2-r1/work/vim62/src'
if test ! -f configure.save; then mv configure configure.save; fi
autoconf
sed -e 's+\./config.log+auto/config.log+' configure > auto/configure
chmod 755 auto/configure
mv -f configure.save configure
rm -f auto/config.status auto/config.cache
make: Leaving directory `/var/tmp/portage/vim-core-6.2-r1/work/vim62/src'
configure: error: features: invalid package name

!!! ERROR: app-editors/vim-core-6.2-r1 failed.
!!! Function econf, Line 324, Exitcode 1
!!! econf failed

And for liblockfile:
>>> md5 src_uri ;-) liblockfile_1.03.tar.gz
>>> Unpacking source...
>>> Unpacking liblockfile_1.03.tar.gz to /var/tmp/portage/liblockfile-1.03-r1/work
>>> Source unpacked.
configure: error: mailgroup: invalid package name

!!! ERROR: net-libs/liblockfile-1.03-r1 failed.
!!! Function econf, Line 324, Exitcode 1
!!! econf failed
Back to top
View user's profile Send private message
thrion
n00b
n00b


Joined: 25 Aug 2003
Posts: 10
Location: Estonia

PostPosted: Mon Sep 15, 2003 5:52 pm    Post subject: Reply with quote

I thought I could fix something by emerging world again, but that doesn't work either, libtool won't configure :/

... everythin seems OK until here ....
creating Makefile
creating config.h
rm -f acinclude.m4
cp ./libtool.m4 acinclude.m4
cd . && aclocal
aclocal: couldn't open directory `--prefix/usr/share/aclocal-1.4': No such file or directory
make: *** [aclocal.m4] Error 2

!!! ERROR: sys-devel/libtool-1.4.3-r1 failed.
!!! Function src_compile, Line 86, Exitcode 2
!!! (no error message)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum